> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pingintel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List User Teams

> Retrieve a list of teams associated with the authenticated user, whether the user is a member directly or a member of the team's division or company.



## OpenAPI

````yaml https://vision.staging.pingintel.com/api/schema/?format=json get /api/v1/user/teams/
openapi: 3.0.3
info:
  title: Ping.Vision API
  version: v1.0
  description: >
    ### Ping.Vision API


    This API provides convenient, efficient access to Ping Intel's data and
    services. It is designed to be used by developers and data scientists to
    integrate Ping Intel's capabilities into their applications.


    Once SSO is set up with your organization, you can create an Organization or
    Personal API key at https://auth.pingintel.com/org.


    Please see the Python client library
    [pingintel-api](https://pypi.org/project/pingintel-api/) for commandline
    tools and programmatic access, and you

    can refer to the following documentation for details on interacting with the
    system via the HTTP API.
  contact:
    email: support@pingintel.com
    name: Ping Intel
    url: https://www.pingintel.com
servers:
  - url: https://vision.pingintel.com
    description: Ping.Vision API
  - url: https://vision.staging.pingintel.com
    description: Ping.Vision API (staging)
security: []
tags:
  - name: Create Submission
    description: The Create Submission API allows you to add new data into the system.
  - name: Update Submission
    description: >-
      The Update Submission API provides various endpoints to update, modify, or
      act upon existing submissions.
  - name: Get Submission Data
    description: ''
  - name: User Memberships
    description: >-
      The User Memberships API allows you to add, remove, and change the role of
      users in different teams, divisions, or companies.
  - name: Miscellaneous
    description: ''
paths:
  /api/v1/user/teams/:
    get:
      tags:
        - User Memberships
      summary: List User Teams
      description: >-
        Retrieve a list of teams associated with the authenticated user, whether
        the user is a member directly or a member of the team's division or
        company.
      operationId: api_v1_user_teams_list
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserTeam'
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                additionalProperties: {}
                description: Unspecified response body
          description: ''
        '403':
          content:
            application/json:
              schema:
                type: object
                additionalProperties: {}
                description: Unspecified response body
          description: ''
      security:
        - authorization_header: []
components:
  schemas:
    UserTeam:
      type: object
      properties:
        company_name:
          type: string
        company_short_name:
          type: string
        company_uuid:
          type: string
          format: uuid
        division_name:
          type: string
        division_uuid:
          type: string
          format: uuid
        membership_type:
          enum:
            - member
            - admin
            - owner
          type: string
          description: |-
            * `member` - member
            * `admin` - admin
            * `owner` - owner
          x-spec-enum-id: b20813f291d71146
        statuses:
          type: array
          items:
            type: object
            additionalProperties: {}
        team_name:
          type: string
        team_uuid:
          type: string
          format: uuid
        tags:
          type: array
          items:
            type: object
            additionalProperties: {}
      required:
        - company_name
        - company_short_name
        - company_uuid
        - division_name
        - division_uuid
        - membership_type
        - statuses
        - team_name
        - team_uuid
  securitySchemes:
    authorization_header:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Supports `Token `-prefixed API keys and `Bearer `-prefixed JWT-based
        authentication.

````